org.apache.ignite.internal.visor

## Class VisorDataTransferObject

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  CacheDistributionGroup, CacheDistributionNode, CacheDistributionPartition, CacheDistributionTaskArg, CacheDistributionTaskResult, CacheInfo, CacheResetLostPartitionsTaskArg, CacheResetLostPartitionsTaskResult, IdleVerifyDumpResult, IdleVerifyResultV2, IndexIntegrityCheckIssue, IndexValidationIssue, PartitionHashRecordV2, PartitionKeyV2, ValidateIndexesPartitionResult, VisorAckTaskArg, VisorAffinityTopologyVersion, VisorAtomicConfiguration, VisorBaselineAutoAdjustSettings, VisorBaselineNode, VisorBaselineTaskArg, VisorBaselineTaskResult, VisorBasicConfiguration, VisorBinaryConfiguration, VisorBinaryMetadata, VisorBinaryMetadataCollectorTaskArg, VisorBinaryMetadataCollectorTaskResult, VisorBinaryMetadataField, VisorBinaryTypeConfiguration, VisorCache, VisorCacheAffinityConfiguration, VisorCacheAffinityNodeTaskArg, VisorCacheAggregatedMetrics, VisorCacheClearTaskArg, VisorCacheClearTaskResult, VisorCacheConfiguration, VisorCacheConfigurationCollectorTaskArg, VisorCacheEvictionConfiguration, VisorCacheJdbcType, VisorCacheJdbcTypeField, VisorCacheKeyConfiguration, VisorCacheLoadTaskArg, VisorCacheLostPartitionsTaskArg, VisorCacheLostPartitionsTaskResult, VisorCacheMetadataTaskArg, VisorCacheMetrics, VisorCacheMetricsCollectorTaskArg, VisorCacheModifyTaskArg, VisorCacheModifyTaskResult, VisorCacheNamesCollectorTaskResult, VisorCacheNearConfiguration, VisorCacheNodesTaskArg, VisorCachePartitions, VisorCachePartitionsTaskArg, VisorCacheRebalanceCollectorTaskArg, VisorCacheRebalanceConfiguration, VisorCacheRebalanceTaskArg, VisorCacheResetLostPartitionsTaskArg, VisorCacheResetMetricsTaskArg, VisorCacheSqlIndexMetadata, VisorCacheSqlMetadata, VisorCacheStartTaskArg, VisorCacheStopTaskArg, VisorCacheStoreConfiguration, VisorCacheToggleStatisticsTaskArg, VisorCancelServiceTaskArg, VisorChangeGridActiveStateTaskArg, VisorClientConnectorConfiguration, VisorClusterNode, VisorComputeCancelSessionsTaskArg, VisorComputeCancelSessionTaskArg, VisorComputeToggleMonitoringTaskArg, VisorContentionJobResult, VisorContentionTaskArg, VisorContentionTaskResult, VisorDataRegionConfiguration, VisorDataStorageConfiguration, VisorExecutorConfiguration, VisorExecutorServiceConfiguration, VisorFileBlock, VisorFileBlockTaskArg, VisorFileBlockTaskResult, VisorGridConfiguration, VisorGridEvent, VisorHadoopConfiguration, VisorIdleAnalyzeTaskArg, VisorIdleAnalyzeTaskResult, VisorIdleVerifyTaskArg, VisorIdleVerifyTaskResult, VisorIgfs, VisorIgfsConfiguration, VisorIgfsEndpoint, VisorIgfsFormatTaskArg, VisorIgfsMetrics, VisorIgfsProfilerClearTaskArg, VisorIgfsProfilerClearTaskResult, VisorIgfsProfilerEntry, VisorIgfsProfilerTaskArg, VisorIgfsProfilerUniformityCounters, VisorIgfsResetMetricsTaskArg, VisorIgfsSamplingStateTaskArg, VisorLatestTextFilesTaskArg, VisorLifecycleConfiguration, VisorLogFile, VisorLogSearchResult, VisorLogSearchTaskArg, VisorLogSearchTaskResult, VisorMemoryConfiguration, VisorMemoryMetrics, VisorMemoryPolicyConfiguration, VisorMetricsConfiguration, VisorMvccConfiguration, VisorNodeDataCollectorJobResult, VisorNodeDataCollectorTaskArg, VisorNodeDataCollectorTaskResult, VisorNodeEventsCollectorTaskArg, VisorNodeGcTaskResult, VisorNodePingTaskArg, VisorNodePingTaskResult, VisorNodeSuppressedErrors, VisorNodeSuppressedErrorsTaskArg, VisorPartitionMap, VisorPeerToPeerConfiguration, VisorPersistenceMetrics, VisorPersistentStoreConfiguration, VisorQueryCancelTaskArg, VisorQueryCleanupTaskArg, VisorQueryConfiguration, VisorQueryDetailMetrics, VisorQueryDetailMetricsCollectorTaskArg, VisorQueryEntity, VisorQueryField, VisorQueryIndex, VisorQueryIndexField, VisorQueryMetrics, VisorQueryNextPageTaskArg, VisorQueryPingTaskResult, VisorQueryResetMetricsTaskArg, VisorQueryResult, VisorQueryTaskArg, VisorRestConfiguration, VisorRunningQueriesCollectorTaskArg, VisorRunningQuery, VisorScanQueryTaskArg, VisorSegmentationConfiguration, VisorServiceConfiguration, VisorServiceDescriptor, VisorSpiDescription, VisorSpisConfiguration, VisorSqlConnectorConfiguration, VisorSuppressedError, VisorTaskArgument, VisorThreadDumpTaskResult, VisorThreadInfo, VisorThreadLockInfo, VisorTransactionConfiguration, VisorTxInfo, VisorTxTaskArg, VisorTxTaskResult, VisorValidateIndexesTaskResult, VisorViewCacheTaskArg, VisorViewCacheTaskResult, VisorWalTaskArg, VisorWalTaskResult

Deprecated.
Use `IgniteDataTransferObject` instead. This class may be removed in Ignite 3.0.

    public abstract class VisorDataTransferObject
    extends Object
    implements Externalizable

Base class for data transfer objects for Visor tasks.

See Also:
  Serialized Form

### Field Summary

Fields
`protected static byte` `V1` Deprecated. Version 1.
`protected static byte` `V2` Deprecated. Version 2.
`protected static byte` `V3` Deprecated. Version 3.
`protected static byte` `V4` Deprecated. Version 4.

### Constructor Summary

Constructors
Constructor and Description
`VisorDataTransferObject()` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`byte` `getProtocolVersion()` Deprecated.
`void` `readExternal(ObjectInput in)` Deprecated.
`protected abstract void` `readExternalData(byte protoVer, ObjectInput in)` Deprecated. Load object's specific data content.
`protected static <T> @Nullable List<T>` `toList(Collection<T> col)` Deprecated.
`protected static <T> @Nullable Set<T>` `toSet(Collection<T> col)` Deprecated.
`void` `writeExternal(ObjectOutput out)` Deprecated.
`protected abstract void` `writeExternalData(ObjectOutput out)` Deprecated. Save object's specific data content.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### V1

    protected static final byte V1

Deprecated.
Version 1.

See Also:
  Constant Field Values

#### V2

    protected static final byte V2

Deprecated.
Version 2.

See Also:
  Constant Field Values

#### V3

    protected static final byte V3

Deprecated.
Version 3.

See Also:
  Constant Field Values

#### V4

    protected static final byte V4

Deprecated.
Version 4.

See Also:
  Constant Field Values

### Constructor Detail

#### VisorDataTransferObject

    public VisorDataTransferObject()

Deprecated.

### Method Detail

#### toList

    @Nullable
    protected static <T> @Nullable List<T> toList(Collection<T> col)

Deprecated.

Type Parameters:
  `T` - Collection type.
Parameters:
  `col` - Source collection.
Returns:
  List based on passed collection.

#### toSet

    @Nullable
    protected static <T> @Nullable Set<T> toSet(Collection<T> col)

Deprecated.

Type Parameters:
  `T` - Collection type.
Parameters:
  `col` - Source collection.
Returns:
  List based on passed collection.

#### getProtocolVersion

    public byte getProtocolVersion()

Deprecated.

Returns:
  Transfer object version.

#### writeExternalData

    protected abstract void writeExternalData(ObjectOutput out)
                                       throws IOException

Deprecated.
Save object's specific data content.

Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Deprecated.

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternalData

    protected abstract void readExternalData(byte protoVer,
                                             ObjectInput in)
                                      throws IOException,
                                             ClassNotFoundException

Deprecated.
Load object's specific data content.

Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Deprecated.

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020